# Tosca Import/Export

Tools to import/export TOSCA definitions in YAML from/to ETSI Specifications in Docx format.

Currently supports ETSI GS NFV-SOL 001.

This tool is provided as-is, no guarantees are applicable on the correctnes of the output.
Use at your own risk.

## Create `env` file

   cp env_example env
   $EDITOR env # Customize SECRET

## Run with docker

Build the image with 

    docker build -t tosca-ie-sample:latest .

Run the container with

    docker run -d -t -p 5000:5000 tosca-ie-sample

## Run locally

Install prerequisites 

    pip install -r requirements.txt

Run the web_app

    python src/web_app.py

## Licensing

See LICENSE file.